> ## Documentation Index
> Fetch the complete documentation index at: https://partners.centaur.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List trader stats

> Returns aggregate trader stats for explicit trader IDs, including 1D, 7D, and 30D time-based performance, editorial trader tags, and missing/inaccessible IDs in metadata.



## OpenAPI

````yaml /openapi.json get /api/v1/traders/stats
openapi: 3.1.0
info:
  title: Centaur API
  version: 1.0.0
  description: >-
    Public, read-only API for Centaur's data over REST with a companion MCP
    surface.
servers:
  - url: https://partners.centaur.io
    description: Current service base URL
security: []
tags:
  - name: System
    description: Health and service metadata endpoints.
  - name: Discovery
    description: Read-only trader and asset directory discovery endpoints.
  - name: Events
    description: >-
      Historical trade-event reads with source, trader, asset, and position
      context.
  - name: Messages
    description: >-
      Read-only access to source messages by message timestamp or Source Message
      ID.
  - name: Channel Summaries
    description: Generated channel narrative summaries selected by Source Window overlap.
  - name: Aggregate Summaries
    description: >-
      Generated aggregate narrative summaries selected by Aggregate Window
      overlap.
  - name: Positions
    description: Read-only position history and open-position live state reads.
  - name: Stats
    description: Read-only aggregate trader and asset stats.
externalDocs:
  description: Canonical Centaur API documentation
  url: https://partners.centaur.io/docs
paths:
  /api/v1/traders/stats:
    get:
      tags:
        - Stats
      summary: List trader stats
      description: >-
        Returns aggregate trader stats for explicit trader IDs, including 1D,
        7D, and 30D time-based performance, editorial trader tags, and
        missing/inaccessible IDs in metadata.
      operationId: listTraderStats
      parameters:
        - schema:
            anyOf:
              - type: string
              - type: array
                items:
                  type: string
              - type: array
                items:
                  type: number
            description: Trader IDs to fetch stats for. Maximum 200 IDs.
          required: true
          description: Trader IDs to fetch stats for. Maximum 200 IDs.
          name: traderIds
          in: query
        - schema:
            anyOf:
              - type: string
              - type: array
                items:
                  type: string
              - type: array
                items:
                  type: number
            description: Filter to specific asset IDs.
          required: false
          description: Filter to specific asset IDs.
          name: assetIds
          in: query
        - schema:
            anyOf:
              - anyOf:
                  - type: string
                  - type: array
                    items:
                      type: string
                  - type: array
                    items:
                      type: number
              - type: array
                items:
                  $ref: '#/components/schemas/SourcePlatform'
            description: Filter to traders whose source platform is `TELEGRAM` or `X`.
          required: false
          description: Filter to traders whose source platform is `TELEGRAM` or `X`.
          name: sourcePlatforms
          in: query
        - schema:
            allOf:
              - $ref: '#/components/schemas/TraderDirection'
              - description: 'Filter to a single direction: `long` or `short`.'
          required: false
          description: 'Filter to a single direction: `long` or `short`.'
          name: direction
          in: query
        - schema:
            type: string
            format: date-time
            description: Inclusive ISO-8601 lower time bound.
          required: false
          description: Inclusive ISO-8601 lower time bound.
          name: startTime
          in: query
        - schema:
            type: string
            format: date-time
            description: Inclusive ISO-8601 upper time bound.
          required: false
          description: Inclusive ISO-8601 upper time bound.
          name: endTime
          in: query
      responses:
        '200':
          description: Trader stats collection for requested trader IDs
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    $ref: '#/components/schemas/TraderStatsResponseData'
                  requestId:
                    type: string
                    example: c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8
                required:
                  - success
                  - data
                  - requestId
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
              example:
                success: false
                error:
                  code: UNAUTHORIZED
                  message: Unauthorized
                requestId: c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
              example:
                success: false
                error:
                  code: FORBIDDEN
                  message: Forbidden
                requestId: c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '503':
          description: Authentication service temporarily unavailable
          headers:
            Retry-After:
              description: Seconds to wait before retrying authentication
              schema:
                type: integer
                minimum: 1
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
              example:
                success: false
                error:
                  code: AUTHENTICATION_UNAVAILABLE
                  message: Authentication is temporarily unavailable
                requestId: c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8
      security:
        - ApiKeyAuth: []
components:
  schemas:
    SourcePlatform:
      type: string
      enum:
        - TELEGRAM
        - X
    TraderDirection:
      type: string
      enum:
        - long
        - short
    TraderStatsResponseData:
      type: object
      properties:
        filtersApplied:
          type: object
          properties:
            assetIds:
              type: array
              items:
                type: integer
            sourcePlatforms:
              type: array
              items:
                $ref: '#/components/schemas/SourcePlatform'
            direction:
              allOf:
                - $ref: '#/components/schemas/TraderDirection'
                - nullable: true
            appliedTimeRange:
              $ref: '#/components/schemas/AppliedTimeRange'
          required:
            - assetIds
            - sourcePlatforms
            - direction
            - appliedTimeRange
        results:
          type: array
          items:
            $ref: '#/components/schemas/TraderStats'
        meta:
          type: object
          properties:
            requestedTraderIds:
              type: array
              items:
                type: integer
            missingTraderIds:
              type: array
              items:
                type: integer
          required:
            - requestedTraderIds
            - missingTraderIds
      required:
        - filtersApplied
        - results
        - meta
    ErrorEnvelope:
      type: object
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          $ref: '#/components/schemas/Error'
        requestId:
          type: string
          example: c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8
      required:
        - success
        - error
        - requestId
    AppliedTimeRange:
      type: object
      properties:
        startTime:
          type: string
          nullable: true
          format: date-time
        endTime:
          type: string
          nullable: true
          format: date-time
      required:
        - startTime
        - endTime
    TraderStats:
      type: object
      properties:
        traderId:
          type: integer
        source:
          allOf:
            - $ref: '#/components/schemas/SourceIdentity'
            - nullable: true
        tags:
          type: array
          items:
            $ref: '#/components/schemas/TraderTag'
          description: >-
            Editorial trader tags grouped into categories, e.g. thematic macro
            themes the trader expresses. Empty when the trader has none.
        summary:
          type: object
          properties:
            timeBasedPerformances:
              type: object
              properties:
                1D:
                  type: object
                  properties:
                    window:
                      $ref: '#/components/schemas/TimeBasedPerformanceWindow'
                    averageReturnPercentage:
                      type: number
                      nullable: true
                    medianReturnPercentage:
                      type: number
                      nullable: true
                    winRatePercentage:
                      type: number
                      nullable: true
                    sharpeRatio:
                      type: number
                      nullable: true
                    positionsCount:
                      type: integer
                  required:
                    - window
                    - averageReturnPercentage
                    - medianReturnPercentage
                    - winRatePercentage
                    - sharpeRatio
                    - positionsCount
                7D:
                  type: object
                  properties:
                    window:
                      $ref: '#/components/schemas/TimeBasedPerformanceWindow'
                    averageReturnPercentage:
                      type: number
                      nullable: true
                    medianReturnPercentage:
                      type: number
                      nullable: true
                    winRatePercentage:
                      type: number
                      nullable: true
                    sharpeRatio:
                      type: number
                      nullable: true
                    positionsCount:
                      type: integer
                  required:
                    - window
                    - averageReturnPercentage
                    - medianReturnPercentage
                    - winRatePercentage
                    - sharpeRatio
                    - positionsCount
                30D:
                  type: object
                  properties:
                    window:
                      $ref: '#/components/schemas/TimeBasedPerformanceWindow'
                    averageReturnPercentage:
                      type: number
                      nullable: true
                    medianReturnPercentage:
                      type: number
                      nullable: true
                    winRatePercentage:
                      type: number
                      nullable: true
                    sharpeRatio:
                      type: number
                      nullable: true
                    positionsCount:
                      type: integer
                  required:
                    - window
                    - averageReturnPercentage
                    - medianReturnPercentage
                    - winRatePercentage
                    - sharpeRatio
                    - positionsCount
              required:
                - 1D
                - 7D
                - 30D
            assetFocus:
              type: array
              items:
                type: object
                properties:
                  assetId:
                    type: integer
                  positionsCount:
                    type: integer
                  sharePercentage:
                    type: number
                required:
                  - assetId
                  - positionsCount
                  - sharePercentage
            directionBias:
              $ref: '#/components/schemas/DirectionBias'
          required:
            - timeBasedPerformances
            - assetFocus
            - directionBias
      required:
        - traderId
        - source
        - tags
        - summary
    Error:
      type: object
      properties:
        code:
          type: string
          description: Stable machine-readable error code.
          example: UNAUTHORIZED
        message:
          type: string
          description: Human-readable explanation for the failure.
          example: Unauthorized
        details:
          nullable: true
          description: Optional structured details for validation or input failures.
      required:
        - code
        - message
    SourceIdentity:
      type: object
      properties:
        platform:
          $ref: '#/components/schemas/SourcePlatform'
        sourceIdentityId:
          type: string
          description: >-
            Opaque platform-scoped source identity ID for the source account or
            channel.
        displayName:
          type: string
          nullable: true
          description: Display name for the source account or channel when available.
        handle:
          type: string
          nullable: true
          description: Public source handle when available.
        avatarUrl:
          type: string
          nullable: true
          description: Source account or channel avatar URL when available.
        profileUrl:
          type: string
          nullable: true
          description: Original source account or channel URL when available.
        audienceCount:
          type: integer
          nullable: true
          description: Follower or subscriber count when available.
      required:
        - platform
        - sourceIdentityId
        - displayName
        - handle
        - avatarUrl
        - profileUrl
        - audienceCount
    TraderTag:
      type: object
      properties:
        category:
          type: string
          description: >-
            Tag category, e.g. `thematic`. Open set; new categories may be added
            over time.
        name:
          type: string
          description: Tag name within the category, lowercase, e.g. `ai capex buildout`.
      required:
        - category
        - name
    TimeBasedPerformanceWindow:
      type: string
      enum:
        - 1D
        - 7D
        - 30D
    DirectionBias:
      type: object
      properties:
        label:
          type: string
          enum:
            - long
            - short
            - neutral
        longCount:
          type: integer
        shortCount:
          type: integer
        longPercentage:
          type: number
          nullable: true
        shortPercentage:
          type: number
          nullable: true
      required:
        - label
        - longCount
        - shortCount
        - longPercentage
        - shortPercentage
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key issued by Centaur.
      x-default: <api-key>

````